#ifndef LINE_INFO
#define LINE_INFO 1

class LineMarker {
 private:
  int start_row;
  int end_row;
 public:
  LineMarker(int st, int fi);
  inline int get_start_row()
      {
	return start_row;
      }
  inline int get_end_row()
      {
	return end_row;
      }
};

class LineInfo {
 private:
  int num_lines;
  LineMarker* line_marks;
 public:
  LineInfo(LineMarker* line_m, int num_l);
  inline int get_num_lines()
      {
	return num_lines;
      }
  inline int get_line_n_start(int n)
      {
	return line_marks[n].get_start_row();
      }
  inline int get_line_n_end(int n)
      {
	return line_marks[n].get_end_row();
      }
  
};

#endif
